Subject: Re: igb: acknowledging time sync interrupts

From: "Vick, Matthew" <[email-masked]>
Date: Wed, 29 May 2013 17:42:50 +0000

On 5/28/13 9:06 AM, "Richard Cochran" <[email-masked]> wrote:

>On Tue, May 28, 2013 at 03:20:10PM +0000, Vick, Matthew wrote:
>> 
>> I'll start some internal discussion to see if I can get an official
>>answer
>> on the 82580.
>
>Okay, that sounds good. I just posted a patch that removes the wr32(),
>and I can report that it does work on the i210. If the 82580 needs
>this workaround, then I can add it back in again.
>
>Thanks,
>Richard

Following up internally, we got confirmation 82580 does have an issue with
the read of TSICR not clearing it. Please do add the wr32 back in and keep
an eye out for updated documentation.

Cheers,
Matthew